Package jebl.evolution.align

# Class ProfileCharacter

java.lang.Object
jebl.evolution.align.ProfileCharacter

public class ProfileCharacter extends Object

Version:
  $Id: ProfileCharacter.java 1025 2009-10-23 01:29:48Z matt_kearse $ Represents a single residue in a multiple alignment profile It can represent character frequencies inside an alignment column as a fraction of the total number of characters in that column.
Author:
  Matt Kearse

## Constructor Summary

Constructors
Constructor
Description
`ProfileCharacter(int alphabetSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCharacter(char character, int increment)`
`void`
`addGaps(int count)`
`void`
`addProfileCharacter(ProfileCharacter character)`
`void`
`clear()`
`float`
`gapFraction()`
`static ProfileCharacter`
`getImmutableProfileCharacter(char character)`
An immutable ProfileCharacter that uses less memory than a mutable profile character.
`boolean`
`isAllGaps()`
`int`
`print()`
`void`
`removeProfileCharacter(ProfileCharacter character)`
`static float`
`score(ProfileCharacter character1, ProfileCharacter character2, Scores scores)`
`static float`
`scoreSelf(ProfileCharacter character, Scores scores)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProfileCharacter

public ProfileCharacter(int alphabetSize)

## Method Details

### getImmutableProfileCharacter

public static ProfileCharacter getImmutableProfileCharacter(char character)
An immutable ProfileCharacter that uses less memory than a mutable profile character. The same immtuable ProfileCharacter may also be returned from other calls to this method.

Parameters:
  `character` - the single character to wrap in a profile.
Returns:
  an immutable ProfileCharacter

### addCharacter

public void addCharacter(char character, int increment)

### addProfileCharacter

public void addProfileCharacter(ProfileCharacter character)

### removeProfileCharacter

public void removeProfileCharacter(ProfileCharacter character)

### addGaps

public void addGaps(int count)

### score

public static float score(ProfileCharacter character1, ProfileCharacter character2, Scores scores)

### scoreSelf

public static float scoreSelf(ProfileCharacter character, Scores scores)

### print

public int print()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isAllGaps

public boolean isAllGaps()

### clear

public void clear()

### gapFraction

public float gapFraction()

Returns:
  the fraction of characters that are gap Characters in this profile